document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');

  menuToggle?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });
});

function runDemo() {
  const demo = document.getElementById('transactionDemo');
  if (!demo) return;
  
  // Simple animation to show transaction flow
  demo.innerHTML = '';
  const steps = ['Sender', '→', 'Network', '→', 'Receiver'];
  
  steps.forEach((step, index) => {
    setTimeout(() => {
      const element = document.createElement('span');
      element.textContent = step;
      element.classList.add('demo-step');
      demo.appendChild(element);
    }, index * 500);
  });
}
